Summary: The VIM editor.
Name: vim
%define srcversion 5.8
%define patchlevel 004
Version: %srcversion.%patchlevel
Release: 1tr
Copyright: freeware
Group: Environment/Editors
Source0: ftp://ftp.nl.vim.org/pub/vim/unix/vim-%{srcversion}-src.tar.gz
Source1: ftp://ftp.nl.vim.org/pub/vim/unix/vim-%{srcversion}-rt.tar.gz
Source2: vimrc
Patch1: 5.8.001
Patch2: 5.8.002
Patch3: 5.8.003
Patch4: 5.8.004
Patch100: vim-awk.patch
Patch101: vim-5.8-tutor-tmp.patch
Buildrequires: python-devel perl
Buildroot: /var/tmp/vim-%version
Obsoletes: elvis

%description
VIM (VIsual editor iMproved) is an updated and improved version of the vi
editor.  Vi was the first real screen-based editor for UNIX, and is still
very popular.  VIM improves on vi by adding new features: multiple windows,
multi-level undo, block highlighting and more.

%prep
%setup -q -b 1 -n vim-%srcversion
# fix rogue dependencies from sample code
find . -name \*.paths | xargs rm -f
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch100 -p1
%patch101 -p1

%build
cd src

CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --exec-prefix=/ \
--enable-max-features --without-x --enable-gui=no --mandir=/usr/share/man \
--with-tlib=ncurses
make 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/bin
mkdir -p $RPM_BUILD_ROOT/usr/{bin,/share/man/man1,share/vim}

cd src
make prefix=$RPM_BUILD_ROOT/usr exec_prefix=$RPM_BUILD_ROOT/ MANDIR=$RPM_BUILD_ROOT/usr/share/man/ install
ln -sf /bin/vim $RPM_BUILD_ROOT/bin/vi
mv $RPM_BUILD_ROOT/bin/xxd $RPM_BUILD_ROOT/usr/bin
make installmacros DEST=$RPM_BUILD_ROOT
cp $RPM_SOURCE_DIR/vimrc $RPM_BUILD_ROOT/usr/share/vim

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README*.txt runtime/macros/README.txt runtime/tools/README.txt
%doc runtime/termcap
/bin/vim
/bin/ex
/bin/view
/bin/rvim
/bin/rview
/bin/vimtutor
/bin/vi
/usr/bin/xxd
/usr/share/man/man1/vim.1*
/usr/share/man/man1/vimtutor.1*
/usr/share/man/man1/ex.1*
/usr/share/man/man1/view.1*
/usr/share/man/man1/rvim.1*
/usr/share/man/man1/rview.1*
/usr/share/man/man1/xxd.1*
/usr/share/vim

%changelog
* Tue Jun 19 2001 Oystein Viggen <oysteivi@trustix.com>
- New upstream patch: 004

* Mon Jun 11 2001 Oystein Viggen <oysteivi@trustix.com>
- Added upstream patches 001 through 003

* Fri Jun  1 2001 Oystein Viggen <oysteivi@trustix.com>
- New upstream version: 5.8

* Fri Mar 30 2001 Oystein Viggen <oysteivi@trustix.com>
- Patch up to 5.7.027

* Sun Nov 26 2000 Oystein Viggen <oysteivi@trustix.com>
- Link against ncurses again, because the TSL 1.2 package puts its runtime 
  libs in /lib

* Mon Jun 26 2000 Oystein Viggen <oysteivi@trustix.com>
- Updated to vim 5.7

* Mon Mar 13 2000 Oystein Viggen <oysteivi@trustix.com>
- Snarfed and ported to Trustix Secure Linux
- Updated to vim 5.6
- Joined all to one package as we don't really use X
- Link with libtermcap as this should be availible on the root partition,
  while libncurses probably won't. (/bin/vi should be availible with only 
  root partition mounted)
- Some minor cleanups

* Sat Jan  1 2000 Horms <horms@vergenet.net>
- updated to vim 5.5

* Fri Oct 22 1999 Horms <horms@vergenet.net>
- updated to vim 5.5b

* Tue Jul 27 1999 Michael K. Johnson <johnsonm@redhat.com>
- moved from athena to gtk widgets for X version
- removed vim.1 from X11 filelist because X11 depends on vim-common anyway
- fixed rogue dependencies from sample files

* Tue Jul 27 1999 Jeff Johnson <jbj@redhat.com>
- update to 5.4.

* Thu Jul 22 1999 Jeff Johnson <jbj@redhat.com>
- man page had buildroot pollution (#3629).

* Thu Mar 25 1999 Preston Brown <pbrown@redhat.com>
- with recent termcap/terminfo fixes, regular vim works in xterm/console
- in color, so vim-color package removed.

* Tue Mar 23 1999 Erik Troan <ewt@redhat.com>
- removed "set backupdir=/tmp/vim_backup" from default vimrc

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Thu Dec 17 1998 Michael Maher <mike@redaht.com>
- built pacakge for 6.0

* Tue Sep 15 1998 Michael Maher <mike@redhat.com>
- removed '--with-tlib=termcap' so that color-vim works

* Wed Sep  2 1998 Jeff Johnson <jbj@redhat.com>
- update to 5.3.

* Mon Aug 10 1998 Jeff Johnson <jbj@redhat.com>
- merge in Toshio's changes
- color-vim: changed "--disable-p" to "--disable-perlinterp --with-tlib=termcap"
- added minimal rvi/rview and man pages.
- move Obsoletes to same package as executable.

* Thu Aug 06 1998 Toshio Kuratomi <badger@prtr-13.ucsc.edu>
- Break the package apart similar to the way the netscape package was
  broken down to handle navigator or communicator: The vim package is
  Obsolete, now there is vim-common with all the common files, and a
  package for each binary: vim-minimal (has /bin/vi compiled with no
  frills), vim-enhanced (has /usr/bin/vim with extra perl and python
  interpreters), and vim-X11 (has /usr/X11R6/bin/gvim compiled with
  GUI support.)
- Enable the perl and python interpreters in the gui version (gvim).

* Tue Jun 30 1998 Michael Maher <mike@redhat.com>
- Fixed tutor help.
- cvim package added.  Thanks to Stevie Wills for finding this one :-)

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri May 01 1998 Donnie Barnes <djb@redhat.com>
- added patch to turn off the "vi compatibility" by default.  You can
  still get it via the -C command line option

* Thu Apr 23 1998 Donnie Barnes <djb@redhat.com>
- removed perl and python interpreters (sorry, but those don't belong
  in a /bin/vi and having two vi's seemed like overkill...complain
  to suggest@redhat.com if you care)

* Fri Apr 17 1998 Donnie Barnes <djb@redhat.com>
- fixed buildroot bug

* Sat Apr 11 1998 Donnie Barnes <djb@redhat.com>
- updated from 4.6 to 5.1
- moved to buildroot

* Sun Nov 09 1997 Donnie Barnes <djb@redhat.com>
- fixed missing man page

* Wed Oct 22 1997 Donnie Barnes <djb@redhat.com>
- added wmconfig entry to vim-X11

* Mon Oct 20 1997 Donnie Barnes <djb@redhat.com>
- upgraded from 4.5 to 4.6

* Fri Jun 13 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Mar 25 1997 Michael K. Johnson <johnsonm@redhat.com>
- Upgraded to 4.5
- Added ex symlinks

* Tue Mar 11 1997 Michael K. Johnson <johnsonm@redhat.com>
- Added view symlink.
